<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="IQ000001.aspx.cs" Inherits="Page_IQ000001" Title="Report Styles" %>
<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
	<px:PXDataSource ID="ds" runat="server" Visible="True" Width="100%" TypeName="PX.CS.IQFR.IQReportStyleMaint" PrimaryView="ReportStyle">
		<CallbackCommands>
			<px:PXDSCallbackCommand CommitChanges="True" Name="Save" ></px:PXDSCallbackCommand>
			<px:PXDSCallbackCommand Name="First" PostData="Self" StartNewGroup="True" ></px:PXDSCallbackCommand>
		</CallbackCommands>
	</px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXSmartPanel ID="pnlCopyStyle" runat="server" Style="z-index: 108;" Caption="New Report Style Code" CaptionVisible="True" Key="Parameter" CreateOnDemand="False" AutoCallBack-Target="formCopyStyle" AutoCallBack-Command="Refresh"
		CallBackMode-CommitChanges="True" CallBackMode-PostData="Page" AcceptButtonID="btnOK">
		<px:PXFormView ID="formCopyStyle" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" CaptionVisible="False" DataMember="Parameter" TabIndex="-32636">
			<ContentStyle BackColor="Transparent" BorderStyle="None" />
			<Template>
				<px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" />
				<px:PXMaskEdit ID="edNewStyleCode" runat="server" DataField="NewStyleCode" />
				<px:PXCheckBox ID="chkUpdateExisting" runat="server" DataField="UpdateExisting" SuppressLabel="True" AlignLeft="True" CommitChanges="True" ToolTip="This will replace the current Report Style with the new copy on all Group Sets and Row Sets that reference the current Report Style!"/>
			</Template>
		</px:PXFormView>
		<px:PXPanel ID="PXPanel1" runat="server" SkinID="Buttons">
			<px:PXButton ID="btnOK" runat="server" DialogResult="OK" Text="Copy">
				<AutoCallBack Target="formCopyStyle" Command="Save" />
			</px:PXButton>
		</px:PXPanel>
	</px:PXSmartPanel>
	<px:PXFormView ID="form" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" DataMember="ReportStyle" Caption="Report Style" NoteIndicator="True" FilesIndicator="True" TabIndex="-32436">
		<Template>
			<px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S"/>
			<px:PXSelector ID="edReportStyleCode" runat="server" DataField="ReportStyleCode" DataSourceID="ds"/>
			<px:PXLayoutRule runat="server" ColumnSpan="2" />
			<px:PXTextEdit ID="edDescription" runat="server" DataField="Description" />
			<px:PXLayoutRule runat="server" ControlSize="S" LabelsWidth="S" StartColumn="True" />
			<px:PXDropDown CommitChanges="True" ID="edType" runat="server" DataField="Type" />
		</Template>
	</px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
	<px:PXTab ID="tab" runat="server" Width="100%" LoadOnDemand="True" DataMember="ReportStyle" BorderStyle="None" DataSourceID="ds">
		<Items>
			<px:PXTabItem Text="About">
				<Template>
					<px:PXFormView ID="form" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" DataMember="ReportStyle" Caption="Report Style" NoteIndicator="True" FilesIndicator="True" TabIndex="-32436">
						<Template>
							<px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M"/>
							<px:PXTextEdit ID="edAbout" runat="server" DataField="About" SuppressLabel="true" TextMode="MultiLine" Height="485px" Width="350px"/>
							<px:PXLayoutRule runat="server" ControlSize="XL" LabelsWidth="S" StartColumn="True" />
							<px:PXImageUploader ID="edPreview" runat="server" Height="800px" Width="800px" SuppressLabel="true" MagnifyDefault="True" ViewOnly="True" AllowUpload="False" />
						</Template>
					</px:PXFormView>
				</Template>
			</px:PXTabItem>		
			<px:PXTabItem Text="Levels" RepaintOnDemand="false" LoadOnDemand="False" >
				<Template>
	<px:PXSplitContainer runat="server" Orientation="Vertical" ID="PXSplitContainer2" Width="100%" SplitterPosition="30">
		<AutoSize Enabled="True" Container="Window"/>
		<Template1>
			<px:PXGrid runat="server" SyncPosition="True" Height="150px" SkinID="DetailsInTab" Width="100%" ID="gridLevels" DataSourceID="ds" AllowPaging="False" ScrollBars="Auto" AutoRepaint="True" >
				<AutoSize Enabled="True" MinHeight="150"/>
				<Levels>
					<px:PXGridLevel DataMember="Levels">
						<Columns>
							<px:PXGridColumn DataField="LevelNbr" Width="134"/>
						</Columns>
					</px:PXGridLevel>
				</Levels>
				<ActionBar>
					<Actions>
						<AdjustColumns Enabled="False"/>
						<ExportExcel Enabled="False"/>
					</Actions>
				</ActionBar>
				<AutoCallBack ActiveBehavior="True" Enabled="True" Target="gridLevelRows" Command="Refresh">
					<Behavior CommitChanges="True" BlockPage="True" RepaintControlsIDs="gridLevelRows"/>
				</AutoCallBack>
				<Mode InitNewRow="True" AutoInsert="True"/>
			</px:PXGrid>
		</Template1>
		<Template2>
			<px:PXGrid runat="server" SyncPosition="True" Height="150px" SkinID="DetailsInTab" Width="100%" ID="gridLevelRows" AutoRepaint="True" >
				<Levels>
					<px:PXGridLevel DataMember="LevelRows">
						<RowTemplate>
							<px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="M" ControlSize="M"></px:PXLayoutRule>
							<px:PXCheckBox runat="server" ID="chkIsActive" DataField="IsActive" />
							<px:PXDropDown runat="server" DataField="Section" ID="edSection"></px:PXDropDown>
							<px:PXMaskEdit runat="server" DataField="RowCode" ID="edRowCode"></px:PXMaskEdit>
							<px:PXNumberEdit runat="server" DataField="Indent" ID="edIndent"></px:PXNumberEdit>
							<px:PXTextEdit runat="server" DataField="Description" ID="edDescription"></px:PXTextEdit>
							<pxa:RMFormulaEditor runat="server" Parameters="@AccountCode,@AccountDescr,@BaseRowCode,@BookCode,@BranchName,@ColumnCode,@ColumnIndex,@ColumnSetCode,@ColumnText,@EndAccount,@EndAccountGroup,@EndBranch,@EndPeriod,@EndProject,@EndProjectTask,@EndSub,@Organization,@OrganizationName,@StartAccount,@StartAccountGroup,@StartBranch,@StartPeriod,@StartProject,@StartProjectTask,@StartSub,@RowCode,@RowIndex,@RowSetCode,@RowText,@UnitCode,@UnitSetCode,@UnitText,@Today,@WeekStart,@WeekEnd,@MonthStart,@MonthEnd,@QuarterStart,@QuarterEnd,@PeriodStart,@PeriodEnd,@YearStart,@YearEnd" DataSourceID="ds" ViewNameForParameters="LevelRows" FieldNameForParameters="ReportStyleCode" DataField="Formula" ID="edFormula"></pxa:RMFormulaEditor>
							<px:PXTextEdit runat="server" DataField="Format" ID="edFormat"></px:PXTextEdit>
							<px:PXNumberEdit runat="server" DataField="Height" ID="edHeight"></px:PXNumberEdit>
							<px:PXDropDown runat="server" DataField="PrintControl" ID="edPrintControl"></px:PXDropDown>
							<px:PXMaskEdit runat="server" DataField="ColumnGroupID" ID="edColumnGroupID"></px:PXMaskEdit>
							<px:PXCheckBox runat="server" DataField="SuppressEmpty" ID="chkSuppressEmpty"></px:PXCheckBox>
							<px:PXCheckBox runat="server" DataField="HideZero" ID="chkHideZero"></px:PXCheckBox>
							<pxa:RMStyleEditor runat="server" DataMember="Style" DataField="StyleID" ID="edStyleID"></pxa:RMStyleEditor>
							<pxa:RMDataSetEditor runat="server" DataSourceID="ds" DataMember="DataSource" ShowExpandFlag="True" DataField="DataSourceID" ID="edDataSource"></pxa:RMDataSetEditor>
							<px:PXMaskEdit runat="server" DataField="LinkedRowCode" ID="edLinkedRowCode"></px:PXMaskEdit>
							<px:PXMaskEdit runat="server" DataField="BaseRowCode" ID="edBaseRowCode"></px:PXMaskEdit>
							<px:PXMaskEdit runat="server" DataField="UnitGroupID" ID="edUnitGroupID"></px:PXMaskEdit>
							<px:PXCheckBox runat="server" AlignLeft="True" DataField="PageBreak" ID="chkPageBreak"></px:PXCheckBox></RowTemplate>
						<Columns>
							<px:PXGridColumn DataField="IsActive" Width="60" Type="CheckBox" TextAlign="Center" ></px:PXGridColumn>
							<px:PXGridColumn DataField="Section" Width="70"  CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="RowCode" Width="60px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="Description" Width="150px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="RowType" Type="DropDownList" Width="60px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="Format" Width="80px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn AllowUpdate="False" DataField="DataSourceID" TextField="DataSourceIDText" Width="200px" ></px:PXGridColumn>
							<px:PXGridColumn AllowUpdate="False" DataField="StyleID" TextField="StyleIDText" Width="80px" ></px:PXGridColumn>
							<px:PXGridColumn DataField="PrintControl" Type="DropDownList" RenderEditorText="True" Width="85px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="PageBreak" Type="CheckBox" TextAlign="Center" Width="60px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="Height" TextAlign="Right" Width="60px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="Indent" TextAlign="Right" Width="60px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="LineStyle" Type="DropDownList" Width="70px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="SuppressEmpty" Type="CheckBox" TextAlign="Center" Width="80px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="HideZero" Type="CheckBox" TextAlign="Center" Width="60px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="LinkedRowCode" Width="70px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="ColumnGroupID" Width="70px" CommitChanges="True"></px:PXGridColumn>
							<px:PXGridColumn DataField="UnitGroupID" Width="60px" CommitChanges="True"></px:PXGridColumn></Columns>
					</px:PXGridLevel>
				</Levels>
				<AutoSize Enabled="True" MinHeight="150"/>
				<Mode InitNewRow="True" />
				<CallbackCommands>
					<Save RepaintControls="Unbound" />
				</CallbackCommands>
			</px:PXGrid>
		</Template2>
	</px:PXSplitContainer>
				</Template>
			</px:PXTabItem>
		</Items>
		<AutoSize Container="Window" Enabled="True" MinHeight="300" />
	</px:PXTab>	
</asp:Content>
