<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="IQ000003.aspx.cs" Inherits="Page_IQ000003" Title="Untitled Page" %>

<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" runat="server" Visible="True" Width="100%" TypeName="PX.CS.IQFR.IQReportGroupSetMaint" PrimaryView="ReportGroupSet" HeaderDescriptionField="Description">
		<CallbackCommands>
			<px:PXDSCallbackCommand CommitChanges="True" Name="Save" ></px:PXDSCallbackCommand>
			<px:PXDSCallbackCommand Name="First" PostData="Self" StartNewGroup="True" ></px:PXDSCallbackCommand>
			<px:PXDSCallbackCommand CommitChanges="True" Name="CopyReportGroupSet" StartNewGroup="True" ></px:PXDSCallbackCommand>
			<px:PXDSCallbackCommand Name="ClassDown" Visible="False" DependOnGrid="gridMembers" />
			<px:PXDSCallbackCommand Name="ClassUp" Visible="False" DependOnGrid="gridMembers" />
			<px:PXDSCallbackCommand Name="Down" Visible="false" CommitChanges="True" />
			<px:PXDSCallbackCommand Name="Up" Visible="false" CommitChanges="True" />
			<px:PXDSCallbackCommand Name="AddReportGroup" Visible="false" CommitChanges="True" />
			<px:PXDSCallbackCommand Name="AddNextGroup" Visible="false" CommitChanges="True" />
			<px:PXDSCallbackCommand Name="DeleteReportGroup" Visible="false" CommitChanges="True" />
			<px:PXDSCallbackCommand Name="MoveReportGroup" Visible="false" CommitChanges="True" />
			<px:PXDSCallbackCommand Name="ResetGroups" Visible="false" CommitChanges="True" />
			<px:PXDSCallbackCommand Name="AddDataSource" Visible="false" CommitChanges="True" />
			<px:PXDSCallbackCommand Name="RemoveDataSource" Visible="false" CommitChanges="True" />
		</CallbackCommands>
		<DataTrees>
			<px:PXTreeDataMember TreeView="Folders" TreeKeys="GroupID" />
			<px:PXTreeDataMember TreeView="ParentFolders" TreeKeys="GroupID" />
		</DataTrees>
	</px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXSmartPanel ID="pnlCopyReportGroupSet" runat="server" Style="z-index: 108;" Caption="New Group Set Code" CaptionVisible="True" Key="Parameter" CreateOnDemand="False" AutoCallBack-Target="formCopyGroupSet" AutoCallBack-Command="Refresh"
		CallBackMode-CommitChanges="True" CallBackMode-PostData="Page" AcceptButtonID="btnOK">
		<px:PXFormView ID="formCopyGroupSet" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" CaptionVisible="False" DataMember="Parameter" TabIndex="-32636">
			<ContentStyle BackColor="Transparent" BorderStyle="None" />
			<Template>
				<px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" />
				<px:PXMaskEdit ID="edNewCode" runat="server" DataField="NewCode" />
				<px:PXCheckBox ID="chkUpdateExisting" runat="server" DataField="UpdateExisting" SuppressLabel="True" AlignLeft="True" CommitChanges="True" ToolTip="This will replace the current Report Group with the new copy on all Row Sets that reference the current Report Group!"/>
			</Template>
		</px:PXFormView>
		<px:PXPanel ID="PXPanel1" runat="server" SkinID="Buttons">
			<px:PXButton ID="btnOK" runat="server" DialogResult="OK" Text="Copy">
				<AutoCallBack Target="formCopyGroupSet" Command="Save" />
			</px:PXButton>
		</px:PXPanel>
	</px:PXSmartPanel>
	<px:PXFormView ID="form" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" DataMember="ReportGroupSet" Caption="Report Group Set" NoteIndicator="True" FilesIndicator="True" >
		<Template>
			<px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" ></px:PXLayoutRule>
			<px:PXSelector ID="edReportGroupSetCode" runat="server" DataField="ReportGroupSetCode" DataSourceID="ds" ></px:PXSelector>
			<px:PXLayoutRule runat="server" ColumnSpan="2" ></px:PXLayoutRule>
			<px:PXTextEdit ID="edDescription" runat="server" DataField="Description" CommitChanges="True" ></px:PXTextEdit>
			<px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" ></px:PXLayoutRule>
			<px:PXDropDown CommitChanges="True" ID="edType" runat="server" DataField="Type" ></px:PXDropDown>
			<px:PXLayoutRule runat="server" StartColumn="True" ControlSize="M" LabelsWidth="S" />
			<px:PXSelector runat="server" ID="edReportStyleCode" DataField="ReportStyleCode" AllowAddNew="True" AllowEdit="True" CommitChanges="True" AutoRefresh="True" />
			<px:PXSelector runat="server" ID="edReportClassCode" DataField="ReportClassCode" CommitChanges="True" AutoRefresh="True" />
		</Template>
	</px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
	<px:PXSplitContainer runat="server" Orientation="Vertical" ID="PXSplitContainer1" Width="100%" SplitterPosition="300">
		<AutoSize Enabled="true" Container="Window" />
		<Template1>
			<px:PXTab ID="tab" runat="server" Width="100%" LoadOnDemand="True" DataMember="CurrentReportGroup" BorderStyle="None" DataSourceID="ds">
				<Items>
					<px:PXTabItem Text="Group Details">
						<Template>
							<px:PXFormView runat="server" Caption="Report Groups" ID="formGroup" DataSourceID="ds" DataMember="CurrentReportGroup" RenderStyle="Simple"
							Style="background-color: #F5F7F8;padding-top: 5px; padding-left: 5px">
								<Template>
									<px:PXTextEdit runat="server" DataField="Description" CommitChanges="True" ID="edDescription" Width="190px" LabelWidth="80px"/>
									<px:PXTextEdit runat="server" ID="CstPXTextEdit15" DataField="Subtotal" CommitChanges="True"  Width="190px" LabelWidth="80px"/>
									<px:PXLayoutRule runat="server" ID="CstPXLayoutRule1" Merge="True" ></px:PXLayoutRule>
									<px:PXTextEdit Enabled="False" Size="" Width="155px" runat="server" ID="CstPXTextEdit5" DataField="DataSourceIDText" AutoRefresh="True" LabelWidth="80px"></px:PXTextEdit>
									<pxa:RMDataSetEditor SuppressLabel="True" Width="20px" runat="server" DataSourceID="ds" DataMember="DataSource" ShowExpandFlag="True" DataField="DataSourceID" ID="edDataSource" AutoRefresh="True" CommitChanges="True"></pxa:RMDataSetEditor>
									<px:PXLayoutRule runat="server" ID="CstPXLayoutRule2"/>
									<px:PXButton runat="server" ID="btnRemoveDataSource" CommandName="RemoveDataSource" CommandSourceID="ds" AlignLeft="true"></px:PXButton>
									<px:PXButton runat="server" ID="btnAddDataSource" CommandName="AddDataSource" CommandSourceID="ds" AlignLeft="true"></px:PXButton>
								</Template>
							</px:PXFormView>
						</Template>
					</px:PXTabItem>		
					<px:PXTabItem Text="Formula" RepaintOnDemand="false" LoadOnDemand="False" >
						<Template>
							<px:PXFormView runat="server" Caption="Report Groups" ID="formGroupFormula" DataSourceID="ds" DataMember="CurrentReportGroup" RenderStyle="Simple"
							Style="background-color: #F5F7F8;padding-top: 5px; padding-left: 5px">
								<Template>
									<px:PXTextEdit runat="server" DataField="Formula" CommitChanges="True" ID="edFormula" Width="220px" LabelWidth="60px" TextMode="MultiLine" Height="105px"/>
								</Template>
							</px:PXFormView>
						</Template>
					</px:PXTabItem>
				</Items>
			</px:PXTab>							
			<px:PXTreeView runat="server" ID="tree" DataSourceID="ds" Height="180px" PopulateOnDemand="False" Caption="Report Groups" AllowCollapse="False" ExpandDepth="100" AutoRepaint="True" DataMember="Folders" ShowRootNode="False" SyncPosition="True" SyncPositionWithGraph="True" KeepPosition="True" PreserveExpanded="False" SelectFirstNode="True">
				<AutoSize Enabled="True" />
				<AutoCallBack Command="Refresh" Enabled="True" Target="form" />
				<DataBindings>
					<px:PXTreeItemBinding DataMember="Folders" TextField="Description" ValueField="GroupID" /></DataBindings>
				<ToolBarItems>
					<px:PXToolBarButton Text="Up" Tooltip="Move Node Up" DisplayStyle="Image">
						<AutoCallBack Enabled="True" Target="ds" Command="Up" />
						<Images Normal="main@ArrowUp" /></px:PXToolBarButton>
					<px:PXToolBarButton Text="Down" Tooltip="Move Node Down" DisplayStyle="Image">
						<AutoCallBack Enabled="True" Target="ds" Command="Down" />
						<Images Normal="main@ArrowDown" /></px:PXToolBarButton>
					<px:PXToolBarButton Text="Move" Tooltip="Move Node" DisplayStyle="Image">
						<AutoCallBack Enabled="True" Target="ds" Command="MoveReportGroup" />
						<Images Normal="main@Folder" /></px:PXToolBarButton>
					<px:PXToolBarButton Text="Add Group" Tooltip="Add Group" DisplayStyle="Image">
						<AutoCallBack Enabled="True" Target="ds" Command="AddReportGroup" />
						<Images Normal="main@AddNew" /></px:PXToolBarButton>
					<px:PXToolBarButton Text="Add Next Group" Tooltip="Add Next Group" DisplayStyle="Image">
						<AutoCallBack Enabled="True" Target="ds" Command="AddNextGroup" />
						<Images Normal="main@LevelDown" /></px:PXToolBarButton>
					<px:PXToolBarButton Text="Delete Group" Tooltip="Delete Group" DisplayStyle="Image">
						<AutoCallBack Enabled="True" Target="ds" Command="DeleteReportGroup" />
						<Images Normal="main@RecordDel" /></px:PXToolBarButton>
				</ToolBarItems>
			</px:PXTreeView>
		</Template1>
		<Template2>
			<px:PXSplitContainer runat="server" Orientation="Vertical" SplitterPosition="800" ID="PXSplitContainer1" Width="100%">
				<AutoSize Container="Window" Enabled="true" />
				<Template1>
					<px:PXGrid runat="server" ID="gridMembers" SyncPosition="true" SkinID="Details" Width="100%" Caption="Account Classes" CaptionVisible="true" DataSourceID="ds" AutoRepaint="True" AdjustPageSize="Auto" AllowPaging="False" ScrollBars="Auto" KeepPosition="True">
						<AutoSize Container="Parent" Enabled="True" />
						<Levels>
							<px:PXGridLevel DataMember="GroupClassesUI">
								<Mode InitNewRow="true" />
								<Columns>
									<px:PXGridColumn DataField="Selected" Type="CheckBox" TextAlign="Center" Width="40" />
									<px:PXGridColumn DataField="GroupID" Width="170" />
									<px:PXGridColumn DataField="SortOrder" Width="50" />
									<px:PXGridColumn DataField="Subtotal" Type="CheckBox" TextAlign="Center" Width="50" />
									<px:PXGridColumn DataField="Type" Width="75" />
									<px:PXGridColumn DataField="AccountClassID" Width="120" />
									<px:PXGridColumn DataField="AccountClassDescr" Width="210" />
									<px:PXGridColumn DataField="AccountCount" Width="50" />
								</Columns>
							</px:PXGridLevel>
						</Levels>
						<AutoCallBack Command="Refresh" Enabled="True" Target="gridAccounts" />
						<ActionBar>
							<Actions>
								<AddNew Enabled="False" />
							</Actions>
							<CustomItems>
								<px:PXToolBarButton Tooltip="Move Up" CommandSourceID="ds" CommandName="ClassUp" DisplayStyle="Image">
									<Images Normal="main@ArrowUp" /></px:PXToolBarButton>
								<px:PXToolBarButton Tooltip="Move Down" CommandSourceID="ds" CommandName="ClassDown" DisplayStyle="Image">
									<Images Normal="main@ArrowDown" /></px:PXToolBarButton>
								<px:PXToolBarButton Text="Reset Groups" CommandSourceID="ds" CommandName="ResetGroups" ></px:PXToolBarButton>
							</CustomItems>
						</ActionBar>
						<Mode AllowAddNew="False" AllowUpload="True" AllowDelete="False"/>
					</px:PXGrid>
				</Template1>
				<Template2>
					<px:PXGrid runat="server" ID="gridAccounts" SyncPosition="true" SkinID="Details" Width="100%" Caption="Accounts" CaptionVisible="true" DataSourceID="ds" AutoRepaint="True" AdjustPageSize="Auto" ScrollBars="Auto" AllowPaging="False">
						<AutoSize Container="Parent" Enabled="True" />
						<Levels>
							<px:PXGridLevel DataMember="ClassAccounts">
								<Columns>
									<px:PXGridColumn DataField="Active" Width="55" Type="CheckBox" TextAlign="Center" />
									<px:PXGridColumn DataField="AccountCD" Width="65" />
									<px:PXGridColumn DataField="Description" Width="400" /></Columns></px:PXGridLevel></Levels>
						<ActionBar>
							<Actions>
								<AddNew Enabled="False" />
								<Delete Enabled="False" />
							</Actions>
						</ActionBar>
					</px:PXGrid>
				</Template2>
			</px:PXSplitContainer>
		</Template2>
	</px:PXSplitContainer>
	<px:PXSmartPanel runat="server" ID="PanelChangeReportGroup" Caption="Move Report Group" CaptionVisible="True" LoadOnDemand="True" ShowAfterLoad="True" Key="SelectedParentFolders" AutoCallBack-Enabled="True" AutoCallBack-Target="formMoveReportGroup" AutoCallBack-Command="Refresh" AcceptButtonID="PXButtonOK" CancelButtonID="PXButtonCancel" CallBackMode-CommitChanges="True" CallBackMode-PostData="Page">
		<px:PXFormView runat="server" ID="formMoveReportGroup" DataSourceID="ds" Width="100%" Caption="Move Report Group" CaptionVisible="False" SkinID="Transparent" DataMember="SelectedParentFolders">
			<Template>
				<px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" ID="PXLayoutRule6" />
				<px:PXTreeSelector runat="server" TreeDataSourceID="ds" TreeDataMember="ParentFolders" AutoRefresh="True" ShowRootNode="False" CommitChanges="True" DataField="GroupID" ID="edParentGroupID">
					<DataBindings>
						<px:PXTreeItemBinding DataMember="ParentFolders" TextField="Description" ValueField="GroupID" />
					</DataBindings>
				</px:PXTreeSelector>
			</Template>
		</px:PXFormView>
		<px:PXPanel runat="server" ID="CstPanel10" SkinID="Buttons">
			<px:PXButton runat="server" ID="PXButtonOK" DialogResult="OK" Width="63px" Height="20px" Text="OK" />
			<px:PXButton runat="server" ID="PXButtonCancel" Text="Cancel" Width="63px" Height="20px" DialogResult="No" />
		</px:PXPanel>
	</px:PXSmartPanel>
</asp:Content>
